Investors, warrants & staking

Get Unstaking Requests For Role In Org

Lists unstaking requests for a roleInOrg (default the caller) enriched with grant name, amount and config version.

POSThttps://api.toku.com/tga/get-unstaking-requests-for-role-in-org

Not available to API keys.

curl --request POST \
  --url 'https://api.toku.com/tga/get-unstaking-requests-for-role-in-org' \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "roleInOrgID": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "statusFilters": [
    "DRAFT"
  ]
}'
200 response
[
  {
    "unstakingRequestID": "string",
    "stakingRequestID": "string",
    "unstakingAmount": "string",
    "unstakingDate": "string",
    "createdAt": "string",
    "updatedAt": "string",
    "status": "DRAFT",
    "roleInOrgID": "string",
    "stakingRequest": {
      "stakingRequestID": "string",
      "stakingConfigurationID": "string",
      "roleInOrgID": "string",
      "stakingAmount": "string",
      "stakingBalance": "string",
      "stakingStartDate": "string",
      "stakingStatus": "DRAFT",
      "createdAt": "string",
      "grantID": "string",
      "updatedAt": "string",
      "stakingDistributionID": "string",
      "grant": {
        "grantName": "string",
        "grantID": "string",
        "grantAmount": "string"
      },
      "stakingConfiguration": {
        "versionNumber": 0
      }
    },
    "grantName": "string",
    "grantID": "string",
    "grantAmount": "string",
    "startDate": "string",
    "amount": "string",
    "versionNumber": 0
  }
]

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Body

application/json

roleInOrgIDstring<uuid>
statusFiltersstring[]

Allowed: at most 20 items

Response

200Successful response
unstakingRequestIDstringrequired
stakingRequestIDstringrequired
unstakingAmountstringrequired

Allowed: matches ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$

unstakingDatestringrequired
createdAtstringrequired
updatedAtstringrequired
statusstringrequired

Available options: DRAFT, PENDING, APPROVED, REJECTED, CANCELLED, IN_STAKING, UNSTAKE_REQUEST_PLACED, STAKING_PERIOD_COMPLETED, COMPLETED

roleInOrgIDstringrequired
stakingRequestobjectrequired
Show child attributes
stakingRequestIDstringrequired
stakingConfigurationIDstringrequired
roleInOrgIDstringrequired
stakingAmountstringrequired

Allowed: matches ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$

stakingBalancestringrequired

Allowed: matches ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$

stakingStartDatestringrequired
stakingStatusstringrequired

Available options: DRAFT, PENDING, APPROVED, REJECTED, CANCELLED, IN_STAKING, UNSTAKE_REQUEST_PLACED, STAKING_PERIOD_COMPLETED, COMPLETED

createdAtstringrequired
grantIDstringrequired
updatedAtstringrequired
stakingDistributionIDstring | nullrequired
grantobjectrequired
Show child attributes
grantNamestringrequired
grantIDstringrequired
grantAmountstringrequired

Allowed: matches ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$

stakingConfigurationobjectrequired
Show child attributes
versionNumberintegerrequired
grantNamestringrequired
grantIDstringrequired
grantAmountstringrequired

Allowed: matches ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$

requestTypeanyrequired
startDatestringrequired
amountstringrequired

Allowed: matches ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$

durationnull | nullrequired
versionNumberintegerrequired
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits